be.fgov.ehealth.monitoring.protocol.v2

## Class AliveCheckResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.monitoring.protocol.v2.AliveCheckResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:12:44+01:00",
                 comments="JAXB RI v2.3.7")
      public class AliveCheckResponse
      extends StatusResponseType
      implements Serializable

  Output type of aliveCheck operation

  Java class for AliveCheckResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AliveCheckResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence>
               <element ref="{}MonitoringXML"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AliveCheckResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MonitoringXML` | `getMonitoringXML()` Gets the value of the monitoringXML property.
    `void` | `setMonitoringXML(MonitoringXML value)` Sets the value of the monitoringXML property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AliveCheckResponse

          public AliveCheckResponse()

  - ### Method Detail

    - #### getMonitoringXML

          public MonitoringXML getMonitoringXML()

      Gets the value of the monitoringXML property.
      Returns:
        possible object is `MonitoringXML`

    - #### setMonitoringXML

          public void setMonitoringXML(MonitoringXML value)

      Sets the value of the monitoringXML property.
      Parameters:
        `value` - allowed object is `MonitoringXML`

Connector Packaging PERSPHYSICIAN 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.